# Yahoo! UI Library

### Charts Widget 2.5.2

Yahoo! UI Library > charts > YAHOO.widget.ColumnChart

Show Private Show Protected

## Class YAHOO.widget.ColumnChart - uses YAHOO.widget.CartesianChart

ColumnChart class for the YUI Charts widget.

### Constructor

YAHOO.widget.ColumnChart `( containerId , dataSource , attributes )`

Parameters:
  `containerId <HTMLElement>` Container element for the Flash Player instance.
  `dataSource <YAHOO.util.DataSource>` DataSource instance.
  `attributes <object>` (optional) Object literal of configuration values.

#### Properties inherited from YAHOO.widget.CartesianChart:

`_xAxisLabelFunction, _yAxisLabelFunction`

#### Methods inherited from YAHOO.widget.CartesianChart:

`_getXField, _getYField, _initAttributes, _setXAxis, _setXField, _setYAxis, _setYField`

#### Events inherited from YAHOO.widget.CartesianChart:

`beforeXAxisChange, beforeXFieldChange, beforeYAxisChange, beforeYFieldChange xAxisChange xFieldChange yAxisChange yFieldChange`

#### Configuration attributes inherited from YAHOO.widget.CartesianChart:

`xAxis, xField, yAxis, yField`

Copyright © 2007 Yahoo! Inc. All rights reserved.